<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <bu-gateway-add-form ref="addRealForm" @ok="submitCallback" :disabled="disableSubmit"></bu-gateway-add-form>
  </j-modal>
</template>

<script>

  import BuGatewayAddForm from './BuGatewayAddForm'
  export default {
    name: 'BuGatewayAddModal',
    components: {
      BuGatewayAddForm
    },
    data () {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.addRealForm.add();
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.addRealForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>